# -*- encoding: utf-8 -*-
# stub: warp-dir 1.7.0 ruby lib

Gem::Specification.new do |s|
  s.name = "warp-dir".freeze
  s.version = "1.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Konstantin Gredeskoul".freeze]
  s.bindir = "exe".freeze
  s.date = "2022-05-26"
  s.description = "Warp-Dir is compatible (and inspired by) the popular 'wd' tool available as a ZSH module. This one is written in ruby and so it should work in any shell. Credits for the original zsh-only tool go to (https://github.com/mfaerevaag/wd).".freeze
  s.email = ["kig@reinvent.one".freeze]
  s.executables = ["warp-dir".freeze]
  s.files = ["exe/warp-dir".freeze]
  s.homepage = "https://github.com/kigster/warp-dir".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n\e[33m\e[1m>>> PLEASE READ THIS! \e[0m\e[0m\n\nFor this gem to work, you must also install the coupled shell function\ninto your shell initialization file. The following command should complete the\nsetup (but please change '~/.bash_profile' with whatever you use for shell\ninitialization, although for most situations ~/.bash_profile is good enough).\n\n\e[32m\e[1m   warp-dir install --dotfile ~/.bash_profile\n\n\e[0m\e[0mRestart your shell, and you should now have 'wd' shell function that\nshould be used instead of the warp-dir executable.\n\nStart with:\n\n\e[34m\e[1m  $ wd help\n  $ wd <directory>  \e[30m\e[1m# change directory \u2013 works just like \"cd\"\e[0m\e[0m\n  $ wd add <name>   \e[30m\e[1m# add current directory as a warp point, call it <name>\e[0m\e[0m\n  $ wd<TAB>         \e[30m\e[1m# to see the command completion in action\e[0m\e[0m\n\e[0m\e[0m\e[32m\nPlease submit issues and pull requests on Github:\n\n \u2022 https://github.com/kigster/warp-dir\n \u2022 via email to Konstantin Gredeskoul, @kigster on GMail, @kig on Twitter.\n\nThank you!\n\e[0m".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Warp-Dir (aka 'wd') replaces 'cd' and lets you instantly move between saved \"warp points\" and regular folders.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<slop>.freeze, ["~> 4.2"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0"])
  else
    s.add_dependency(%q<slop>.freeze, ["~> 4.2"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rake>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
  end
end
